#include "Messages.h"

namespace RoboidControl {

/// @brief Message to request details for a Thing
class InvestigateMsg : public IMessage {
 public:
  /// @brief The message ID
  static const unsigned char id = 0x81;
  /// @brief The length of the message
  static const unsigned char length = 3;
  /// @brief The network ID of the thing
  unsigned char networkId;
  /// @brief the ID of the thing
  unsigned char thingId;

  /// @brief Create a new message for sending
  /// @param networkId The network ID for the thing
  /// @param thingId The ID of the thing
  InvestigateMsg(unsigned char networkId, unsigned char thingId);
  /// @copydoc RoboidControl::IMessage::IMessage(char*)
  InvestigateMsg(char* buffer);
  /// @brief Destructor for the message
  virtual ~InvestigateMsg();

  /// @copydoc RoboidControl::IMessage::Serialize
  virtual unsigned char Serialize(char* buffer) override;
};

}  // namespace RoboidControl
